[prev in list] [next in list] [prev in thread] [next in thread] 

List:       gentoo-dev
Subject:    Re: [gentoo-dev] [PATCH] eclass/waf-utils.eclass: add parameters to compile and  install
From:       Victor K <ktrace () yandex ! ru>
Date:       2018-09-22 12:55:10
Message-ID: 20180922155510.1638942e () stronghold
[Download RAW message or body]

[Attachment #2 (multipart/mixed)]


fixed

[Attachment #5 (text/x-patch)]

From 09f4d9d638c2079aa05043236703159971042a6e Mon Sep 17 00:00:00 2001
From: ktrace <ktrace@yandex.ru>
Date: Sat, 22 Sep 2018 15:53:16 +0300
Subject: [PATCH] class/waf-utils.eclass: add parameters to compile and 
 install

---
 eclass/waf-utils.eclass | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/eclass/waf-utils.eclass b/eclass/waf-utils.eclass
index 4d02483a927..e7c8acafd3e 100644
--- a/eclass/waf-utils.eclass
+++ b/eclass/waf-utils.eclass
@@ -89,7 +89,7 @@ waf-utils_src_configure() {
 	CCFLAGS="${CFLAGS}" LINKFLAGS="${CFLAGS} ${LDFLAGS}" "${WAF_BINARY}" \
 		"--prefix=${EPREFIX}/usr" \
 		"${libdir[@]}" \
-		"$@" \
+		"${@}" \
 		configure || die "configure failed"
 }
 
@@ -102,8 +102,8 @@ waf-utils_src_compile() {
 	[[ ${WAF_VERBOSE} == ON ]] && _mywafconfig="--verbose"
 
 	local jobs="--jobs=$(makeopts_jobs)"
-	echo "\"${WAF_BINARY}\" build ${_mywafconfig} ${jobs}"
-	"${WAF_BINARY}" ${_mywafconfig} ${jobs} || die "build failed"
+    echo "\"${WAF_BINARY}\" ${@} build ${_mywafconfig} ${jobs}"
+    "${WAF_BINARY}" "${@}" ${_mywafconfig} ${jobs} || die "build failed"
 }
 
 # @FUNCTION: waf-utils_src_install
@@ -112,9 +112,8 @@ waf-utils_src_compile() {
 waf-utils_src_install() {
 	debug-print-function ${FUNCNAME} "$@"
 
-	echo "\"${WAF_BINARY}\" --destdir=\"${D}\" install"
-	"${WAF_BINARY}" --destdir="${D}" install  || die "Make install failed"
-
+    echo "\"${WAF_BINARY}\" --destdir=\"${D}\" \"${@}\" install"
+    "${WAF_BINARY}" --destdir="${D}" "${@}" install  || die "Make install failed"
 	# Manual document installation
 	einstalldocs
 }
-- 
2.16.4


[Attachment #6 (application/pgp-signature)]

[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic